Articles of éclipse

Maven “chemin de construction spécifie l’environnement d’exécution J2SE-1.5”, même si je l’ai changé à 1.7

Dans Eclipse Juno, j’ai installé le dernier plug-in m2e (1.2.20120903-1050). Dans les préférences, j’ai ajouté jdk1.7.0_11 dans Java -> JREs installés -> Ajouter, puis spécifié l’emplacement ( C:\Program Files\Java\jdk1.7.0_11 ). Lorsque je crée un nouveau projet Maven et l’exécute, je reçois un avertissement: Le chemin de génération spécifie l’environnement d’exécution J2SE-1.5. Il n’y a aucun […]

Android: Alternative pour context.getDrawable ()

J’ai utilisé context.getDrawable() comme ceci dans mon projet: Drawable greenProgressbar = context.getDrawable(R.drawable.custom_progressbargreen); Mais Eclipse me signale qu’il a besoin d’un Minimum API level of 21 . Cela signifierait qu’après une recherche rapide sur Google, mon application ne sera utilisable que sur Android 5.0 . Puisque tous les appareils n’utilisent pas cette version d’Android, j’aimerais avoir […]

Format du code XML dans Eclipse

Lorsque j’écris des fichiers .xml dans Eclipse, je dois souvent manuellement mettre du code en retrait. Par exemple Après le formatage, cela ressemble à ceci. Comment automatiser cela? Je ne trouve pas les parameters de formatage dans Eclipse pour XML.

Où est web.xml dans le projet Web dynamic Eclipse

Dans Eclipse, j’ai cliqué sur Fichier-> Nouveau-> Projet Web dynamic et je suis un tutoriel pour Jersey qui veut maintenant que je change quelque chose dans le fichier web.xml … mais je ne trouve même pas ce fichier. Qu’est-ce que je fais mal?

java.lang.NoClassDefFoundError dans junit

Je reçois cette erreur en Java dans mon code de test de Junit. J’ai regardé sur le net et il est dit que je dois append le junit.jar dans le classpath. Dans Eclipse, je l’ai ajouté dans le classpath des fenêtres Propriétés du projet, mais j’ai toujours une erreur d’initialisation. Que devrais-je faire..? Ceci est […]

Pourquoi Eclipse met-il si longtemps à mettre à jour les dépendances Maven?

J’ai un projet Maven dans mon espace de travail Eclipse. Lorsque je lance Eclipse, la mise à jour des dépendances Maven prend beaucoup de temps. En fait, il semble que ça ne finira jamais et pendant qu’il fait cette mise à jour, je ne peux rien faire dans Eclipse. Quelqu’un peut-il m’aider?

Le package déclaré ne correspond pas au package attendu “”

J’utilise Eclipse et je n’ai pas utilisé Java depuis un certain temps. Cependant, je peux comstackr mon code sur la ligne de commande et générer les fichiers .class nécessaires. Dans Eclipse, il se plaint que The declared package “Devices” does not match the expected package “” . Qu’est-ce que cela signifie et comment puis-je le […]

ClassNotFoundException après la mise à jour ADT

J’ai récemment mis à jour le plugin Android SDK & Eclipse ADT vers la dernière version. Maintenant, lorsque j’essaie d’exécuter un projet Android préexistant, le LogCat affiche une ClassNotFoundException . J’ai essayé de créer un nouvel appareil mais le problème existe toujours. Manifeste LogCat 05-17 13:09:56.357: E/AndroidRuntime(969): FATAL EXCEPTION: main 05-17 13:09:56.357: E/AndroidRuntime(969): java.lang.RuntimeException: Unable […]

Comment changer la perspective après avoir terminé le processus de débogage dans Eclipse?

Eclipse par défaut bascule automatiquement sur la perspective Debug lorsque vous atteignez un point d’arrêt. Cependant, il est ennuyeux de ne pas revenir automatiquement à la perspective précédente (par exemple, Java) lors de la fin du processus. Il rest juste dans la perspective de débogage, même s’il n’y a rien à déboguer car rien ne […]

import sun.misc.BASE64Encoder génère une erreur dans Eclipse

Pour ces deux importations; import sun.misc.BASE64Encoder; import sun.misc.BASE64Decoder; J’ai cette erreur: Access ressortingction: The type BASE64Decoder is not accessible due to ressortingction on required library C:\Program Files\Java\jre6\lib\rt.jar Comment puis-je résoudre cette erreur?